## libtypec 0.5.1

=== debian/changelog ===
libtypec (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #1023477)

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 11 Jun 2024 16:47:29 +0200
