=== debian/changelog ===
libtypec (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Jun 2024 14:33:56 +0200
