=== debian/control ===
Source: libtypec
Section: utils
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.16.3~),
 libudev-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/libtypec/libtypec
Vcs-Git: https://salsa.debian.org/debian/libtypec.git
Vcs-Browser: https://salsa.debian.org/debian/libtypec

Package: libtypec5
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: generic USB-C port management library
 libtypec provides a generic interface abstracting all platform
 complexity for efficient userspace USB-C port management.
 .
 The library can also enable development of diagnostic and
 debug tools to debug system issues around USB-C/USB PD topology.

Package: libtypec-dev
Section: libdevel
Architecture: any
Depends:
 libtypec5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: generic USB-C port management library (development files)
 libtypec provides a generic interface abstracting all platform
 complexity for efficient userspace USB-C port management.
 .
 The library can also enable development of diagnostic and
 debug tools to debug system issues around USB-C/USB PD topology.
 .
 This package provides the development needed to build applications using
 the libtypec library.

Package: libtypec-utils
Architecture: any
Depends:
 libtypec5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: generic USB-C port management library (tools)
 libtypec provides a generic interface abstracting all platform
 complexity for efficient userspace USB-C port management.
 .
 The library can also enable development of diagnostic and
 debug tools to debug system issues around USB-C/USB PD topology.
 .
 This package provides tools using the libtypec library.
