## libtypec 0.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16.3)
-project(libtypec VERSION 0.5.2 DESCRIPTION "Library to interface with USB Type-C and USB Power Delivery class devices")
+project(libtypec VERSION 0.6.0 DESCRIPTION "Library to interface with USB Type-C and USB Power Delivery class devices")
 
 
 # Distributions set arch-specific include dir by patching GNUInstallDirs
@@ -45,7 +45,7 @@
 add_subdirectory(utils)
 
 
-install(TARGETS libtypec lstypec typecstatus
+install(TARGETS libtypec lstypec typecstatus ucsicontrol
     LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
     RUNTIME     DESTINATION bin
     PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
