=== debian/changelog ===
libtypec (0.6.0-4) unstable; urgency=medium

  * Install usbcview into /usr/bin (Closes: #1089989)

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 15 Dec 2024 12:17:40 +0100

libtypec (0.6.0-3) unstable; urgency=medium

  * Actually install usbcview.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 04 Dec 2024 11:24:39 +0100

libtypec (0.6.0-2) unstable; urgency=medium

  * Add a manpage for ucsicontrol.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 03 Dec 2024 22:38:42 +0100

libtypec (0.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Set upstream metadata fields: Repository.
  * Reset soversion to 0 when building with cmake.
  * Rename the binary library according to the upstream soversion.
  * Depend on libgtk-3-dev as the new utility requires it.
  * Drop unused ${shlibs:Depends}.
  * Add a patch to link libtypec to libudev.
  * Add patches to fix usbcview.c.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 03 Dec 2024 15:24:38 +0100
