=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake (>= 3.16.3~),
+ libgtk-3-dev,
  libudev-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -12,7 +13,7 @@
 Vcs-Git: https://salsa.debian.org/debian/libtypec.git
 Vcs-Browser: https://salsa.debian.org/debian/libtypec
 
-Package: libtypec5
+Package: libtypec0
 Section: libs
 Architecture: any
 Depends:
@@ -29,9 +30,8 @@
 Section: libdevel
 Architecture: any
 Depends:
- libtypec5 (= ${binary:Version}),
+ libtypec0 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
 Description: generic USB-C port management library (development files)
  libtypec provides a generic interface abstracting all platform
  complexity for efficient userspace USB-C port management.
@@ -45,7 +45,7 @@
 Package: libtypec-utils
 Architecture: any
 Depends:
- libtypec5 (= ${binary:Version}),
+ libtypec0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: generic USB-C port management library (tools)
