=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

# LIBTYPEC_STRICT_CFLAGS=OFF to disable upstream’s custom build flags
# CMAKE_SKIP_RPATH=PN to prevent build paths from being embedded into the binaries
override_dh_auto_configure:
	dh_auto_configure -- -DLIBTYPEC_STRICT_CFLAGS=OFF -DCMAKE_SKIP_RPATH=ON
