=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?V?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
             https://github.com/libtypec/libtypec/tags \
             .*/archive/(?:refs/tags/)?(?:@PACKAGE@)?@ANY_VERSION@\.tar\..z
